%define upstream_name    WWW-Netflix
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Get and set ratings and queue for any Netflix account
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::SSL)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
The included 'netlix_mover' script does the work of retrieving ratings and
queued movies from one account or saving them to another account. You will
probably just want to use it.

This module is designed to pull down every movie you've ever rated using
your Netflix account, or a list of the movies in your queue. It can also be
used to set the ratings or the queue on another account. It would be a good
idea to use this if you were looking to transfer your ratings or your queue
to another Netflix account.

Currently does not work for "Not Interested" ratings. It would also be nice
to have methods to clear ratings and to remove a movie from the queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/netflix_mover
/usr/share/man/man1/netflix_mover.1.bz2



%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-8pclos2017
- rebuild against updates

